//+------------------------------------------------------------------+
//|                                                 Test1 - Indy.mq4 |
//+------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 1

extern int    IndyPeriod = 5;
extern int    BarToCheck = 3;
extern int    AddPrecision = 2;

double Buf1[];

int init()
{  
   //IndicatorBuffers(1);
   SetIndexBuffer(0,Buf1);
   SetIndexStyle(0,DRAW_LINE,EMPTY,2,Yellow);
}

int start()
{
   double dValue, dOpen;
   string sTime;
   
   int counted_bars=IndicatorCounted();
   int i=Bars-counted_bars-1;           
   
      while(i>=0)
      {
         Buf1[i] = iMA(NULL,0,IndyPeriod,0,MODE_SMA,PRICE_CLOSE,i); i--;
      }
      
      dValue = NormalizeDouble(Buf1[BarToCheck],Digits+AddPrecision);
      dOpen  = NormalizeDouble(iOpen(NULL,0,BarToCheck),Digits+AddPrecision);
      sTime  = TimeToStr(iTime(NULL,0,BarToCheck),TIME_DATE|TIME_SECONDS);
      
      Alert ( "++++++++++++++++++++++++++++++++++++++++++");   
      Alert
      (
         "Indy -- BarToCheck : " + BarToCheck + 
         " / Open : " +
         DoubleToStr(dOpen,Digits+AddPrecision) + 
         " / VALUE : " +
         DoubleToStr(dValue,Digits+AddPrecision) + 
         " / Time[" + BarToCheck +"] : " + sTime
      );

   return(0);
}
//+------------------------------------------------------------------+